# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AS = @AS@
BUILD_GUILE = @BUILD_GUILE@
BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
DATADIRNAME = @DATADIRNAME@
DB_LIBS = @DB_LIBS@
DLLTOOL = @DLLTOOL@
DL_LIB = @DL_LIB@
DOT = @DOT@
DOXYGEN = @DOXYGEN@
ECHO = @ECHO@
EFENCE_LIBS = @EFENCE_LIBS@
EXEEXT = @EXEEXT@
GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
GDK_PIXBUF_CONFIG = @GDK_PIXBUF_CONFIG@
GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
GENCAT = @GENCAT@
GHTTP_CFLAGS = @GHTTP_CFLAGS@
GHTTP_LIBS = @GHTTP_LIBS@
GLADE_CFLAGS = @GLADE_CFLAGS@
GLADE_LIBS = @GLADE_LIBS@
GLIBC21 = @GLIBC21@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_CONFIG = @GLIB_CONFIG@
GLIB_LIBS = @GLIB_LIBS@
GMSGFMT = @GMSGFMT@
GNC_ACCOUNTS_DIR = @GNC_ACCOUNTS_DIR@
GNC_ADD_ON_SRFIS = @GNC_ADD_ON_SRFIS@
GNC_CONFIGDIR = @GNC_CONFIGDIR@
GNC_CTAGS_FILE = @GNC_CTAGS_FILE@
GNC_DOC_INSTALL_DIR = @GNC_DOC_INSTALL_DIR@
GNC_ETAGS_FILE = @GNC_ETAGS_FILE@
GNC_GLADE_DIR = @GNC_GLADE_DIR@
GNC_GWRAP_LIBDIR = @GNC_GWRAP_LIBDIR@
GNC_HELPDIR = @GNC_HELPDIR@
GNC_INCLUDE_DIR = @GNC_INCLUDE_DIR@
GNC_LIBDIR = @GNC_LIBDIR@
GNC_LIBEXECDIR = @GNC_LIBEXECDIR@
GNC_MODULE_DIR = @GNC_MODULE_DIR@
GNC_PIXMAP_DIR = @GNC_PIXMAP_DIR@
GNC_SCM_INSTALL_DIR = @GNC_SCM_INSTALL_DIR@
GNC_SHAREDIR = @GNC_SHAREDIR@
GNC_SRFI_LOAD_PATH = @GNC_SRFI_LOAD_PATH@
GNC_TEST_SRFI_LOAD_CMD = @GNC_TEST_SRFI_LOAD_CMD@
GNOMEGNORBA_LIBS = @GNOMEGNORBA_LIBS@
GNOMEUI_LIBS = @GNOMEUI_LIBS@
GNOME_APPLETS_LIBS = @GNOME_APPLETS_LIBS@
GNOME_CAPPLET_LIBS = @GNOME_CAPPLET_LIBS@
GNOME_CONFIG = @GNOME_CONFIG@
GNOME_DOCKLETS_LIBS = @GNOME_DOCKLETS_LIBS@
GNOME_INCLUDEDIR = @GNOME_INCLUDEDIR@
GNOME_LIBDIR = @GNOME_LIBDIR@
GNOME_LIBS = @GNOME_LIBS@
GNOME_PRINT_CFLAGS = @GNOME_PRINT_CFLAGS@
GNOME_PRINT_LIBS = @GNOME_PRINT_LIBS@
GNOME_XML_CFLAGS = @GNOME_XML_CFLAGS@
GNOME_XML_LIB = @GNOME_XML_LIB@
GNORBA_CFLAGS = @GNORBA_CFLAGS@
GNORBA_LIBS = @GNORBA_LIBS@
GNUCASH_APP_UTILS_CFLAGS = @GNUCASH_APP_UTILS_CFLAGS@
GNUCASH_APP_UTILS_LIBS = @GNUCASH_APP_UTILS_LIBS@
GNUCASH_ENGINE_BASE_CFLAGS = @GNUCASH_ENGINE_BASE_CFLAGS@
GNUCASH_ENGINE_BASE_LIBS = @GNUCASH_ENGINE_BASE_LIBS@
GNUCASH_ENGINE_CFLAGS = @GNUCASH_ENGINE_CFLAGS@
GNUCASH_ENGINE_LIBS = @GNUCASH_ENGINE_LIBS@
GNUCASH_GNOME_UTILS_CFLAGS = @GNUCASH_GNOME_UTILS_CFLAGS@
GNUCASH_GNOME_UTILS_LIBS = @GNUCASH_GNOME_UTILS_LIBS@
GNUCASH_MAJOR_VERSION = @GNUCASH_MAJOR_VERSION@
GNUCASH_MICRO_VERSION = @GNUCASH_MICRO_VERSION@
GNUCASH_MINOR_VERSION = @GNUCASH_MINOR_VERSION@
GNUCASH_NETWORK_UTILS_CFLAGS = @GNUCASH_NETWORK_UTILS_CFLAGS@
GNUCASH_NETWORK_UTILS_LIBS = @GNUCASH_NETWORK_UTILS_LIBS@
GNUCASH_REGISTER_CORE_CFLAGS = @GNUCASH_REGISTER_CORE_CFLAGS@
GNUCASH_REGISTER_CORE_LIBS = @GNUCASH_REGISTER_CORE_LIBS@
GTKHTML_CFLAGS = @GTKHTML_CFLAGS@
GTKHTML_LIBS = @GTKHTML_LIBS@
GTKXMHTML_LIBS = @GTKXMHTML_LIBS@
GTK_XIM_FLAGS = @GTK_XIM_FLAGS@
GUILE = @GUILE@
GUILE_INCS = @GUILE_INCS@
GUILE_LIBS = @GUILE_LIBS@
GUPPI_CFLAGS = @GUPPI_CFLAGS@
GUPPI_LIBS = @GUPPI_LIBS@
G_WRAP_COMPILE_ARGS = @G_WRAP_COMPILE_ARGS@
G_WRAP_CONFIG = @G_WRAP_CONFIG@
G_WRAP_LIB_DIR = @G_WRAP_LIB_DIR@
G_WRAP_LINK_ARGS = @G_WRAP_LINK_ARGS@
G_WRAP_MODULE_DIR = @G_WRAP_MODULE_DIR@
HAVE_LIB = @HAVE_LIB@
HBCI_CFLAGS = @HBCI_CFLAGS@
HBCI_DIR = @HBCI_DIR@
HBCI_LIBS = @HBCI_LIBS@
INSTOBJEXT = @INSTOBJEXT@
INTLBISON = @INTLBISON@
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
INTLTOOL_CAVES_RULE = @INTLTOOL_CAVES_RULE@
INTLTOOL_DESKTOP_RULE = @INTLTOOL_DESKTOP_RULE@
INTLTOOL_DIRECTORY_RULE = @INTLTOOL_DIRECTORY_RULE@
INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
INTLTOOL_KEYS_RULE = @INTLTOOL_KEYS_RULE@
INTLTOOL_MERGE = @INTLTOOL_MERGE@
INTLTOOL_OAF_RULE = @INTLTOOL_OAF_RULE@
INTLTOOL_PERL = @INTLTOOL_PERL@
INTLTOOL_PONG_RULE = @INTLTOOL_PONG_RULE@
INTLTOOL_SERVER_RULE = @INTLTOOL_SERVER_RULE@
INTLTOOL_SHEET_RULE = @INTLTOOL_SHEET_RULE@
INTLTOOL_SOUNDLIST_RULE = @INTLTOOL_SOUNDLIST_RULE@
INTLTOOL_UI_RULE = @INTLTOOL_UI_RULE@
INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
INTLTOOL_XML_RULE = @INTLTOOL_XML_RULE@
INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
LC_MESSAGES_ENUM = @LC_MESSAGES_ENUM@
LIB = @LIB@
LIBADD_DL = @LIBADD_DL@
LIBGLADE_CFLAGS = @LIBGLADE_CFLAGS@
LIBGLADE_CONFIG = @LIBGLADE_CONFIG@
LIBGLADE_LIBS = @LIBGLADE_LIBS@
LIBGUPPI_CFLAGS = @LIBGUPPI_CFLAGS@
LIBGUPPI_LIBS = @LIBGUPPI_LIBS@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBOBJS_SEDSCRIPT = @LIBOBJS_SEDSCRIPT@
LIBOFX_CFLAGS = @LIBOFX_CFLAGS@
LIBOFX_LIBS = @LIBOFX_LIBS@
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LN_S = @LN_S@
LOCALE_DIR = @LOCALE_DIR@
LTLIB = @LTLIB@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKINSTALLDIRS = @MKINSTALLDIRS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OFX_DIR = @OFX_DIR@
OPENHBCI_CFLAGS = @OPENHBCI_CFLAGS@
OPENHBCI_CXXFLAGS = @OPENHBCI_CXXFLAGS@
OPENHBCI_LIBS = @OPENHBCI_LIBS@
ORBIT_CFLAGS = @ORBIT_CFLAGS@
ORBIT_CONFIG = @ORBIT_CONFIG@
ORBIT_IDL = @ORBIT_IDL@
ORBIT_LIBS = @ORBIT_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PERLINCL = @PERLINCL@
PGSQL_CFLAGS = @PGSQL_CFLAGS@
PGSQL_LIBS = @PGSQL_LIBS@
PKG_CONFIG = @PKG_CONFIG@
POSUB = @POSUB@
QTTHREADS_LIB = @QTTHREADS_LIB@
RANLIB = @RANLIB@
READLINE_LIB = @READLINE_LIB@
RPC_DIR = @RPC_DIR@
SQL_DIR = @SQL_DIR@
STRIP = @STRIP@
TERMCAP_LIB = @TERMCAP_LIB@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
ZVT_LIBS = @ZVT_LIBS@
cflags_set = @cflags_set@
cxxflags_set = @cxxflags_set@
enable_dot = @enable_dot@
enable_html_docs = @enable_html_docs@
enable_latex_docs = @enable_latex_docs@

SUBDIRS = gnome . test

pkglib_LTLIBRARIES = libgncmod-app-file.la libgw-app-file.la

AM_CFLAGS = \
  -I${top_srcdir}/src/gnc-module \
  -I${top_srcdir}/src \
  -I${top_srcdir}/src/engine \
  -I${top_srcdir}/src/app-utils \
  -I${top_srcdir}/src/gnome-utils \
  ${GNOME_INCLUDEDIR} \
  ${GUILE_INCS} \
  ${GLIB_CFLAGS} \
  ${G_WRAP_COMPILE_ARGS}


libgncmod_app_file_la_SOURCES = \
  gnc-file.c \
  gncmod-app-file.c


gncincludedir = ${GNC_INCLUDE_DIR}
gncinclude_HEADERS = \
  gnc-file.h \
  gnc-file-dialog.h \
  gnc-file-history.h


noinst_HEADERS = \
  gnc-file-p.h \
  gw-app-file.h


libgncmod_app_file_la_LDFLAGS = -module

libgncmod_app_file_la_LIBADD = \
  ../gnc-module/libgncmodule.la \
  ../engine/libgncmod-engine.la \
  ../gnome-utils/libgncmod-gnome-utils.la \
  gnome/libgnc-app-file-gnome.la \
  ../app-utils/libgncmod-app-utils.la \
  ${GUILE_LIBS} \
  ${GLIB_LIBS}


libgw_app_file_la_SOURCES = gw-app-file.c
libgw_app_file_la_LDFLAGS = -module

gwmoddir = ${GNC_GWRAP_LIBDIR}
gwmod_DATA = gw-app-file-spec.scm gw-app-file.scm

noinst_DATA = .scm-links

EXTRA_DIST = \
  ${gwmod_DATA}


#Only needed when srcdir and builddir are different
@GNUCASH_SEPARATE_BUILDDIR_TRUE@SCM_FILE_LINKS = @GNUCASH_SEPARATE_BUILDDIR_TRUE@gw-app-file-spec.scm

BUILT_SOURCES = gw-app-file.scm gw-app-file.c gw-app-file.h
DISTCLEANFILES = gnucash g-wrapped .scm-links ${SCM_FILE_LINKS} \
	gw-app-file.html

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(pkglib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libgncmod_app_file_la_DEPENDENCIES =  ../gnc-module/libgncmodule.la \
../engine/libgncmod-engine.la ../gnome-utils/libgncmod-gnome-utils.la \
gnome/libgnc-app-file-gnome.la ../app-utils/libgncmod-app-utils.la
libgncmod_app_file_la_OBJECTS =  gnc-file.lo gncmod-app-file.lo
libgw_app_file_la_LIBADD = 
libgw_app_file_la_OBJECTS =  gw-app-file.lo
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(gwmod_DATA) $(noinst_DATA)

HEADERS =  $(gncinclude_HEADERS) $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = $(libgncmod_app_file_la_SOURCES) $(libgw_app_file_la_SOURCES)
OBJECTS = $(libgncmod_app_file_la_OBJECTS) $(libgw_app_file_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/app-file/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-pkglibLTLIBRARIES:

clean-pkglibLTLIBRARIES:
	-test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)

distclean-pkglibLTLIBRARIES:

maintainer-clean-pkglibLTLIBRARIES:

install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkglibdir)
	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(pkglibdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(pkglibdir)/$$p; \
	  else :; fi; \
	done

uninstall-pkglibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(pkglibdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libgncmod-app-file.la: $(libgncmod_app_file_la_OBJECTS) $(libgncmod_app_file_la_DEPENDENCIES)
	$(LINK) -rpath $(pkglibdir) $(libgncmod_app_file_la_LDFLAGS) $(libgncmod_app_file_la_OBJECTS) $(libgncmod_app_file_la_LIBADD) $(LIBS)

libgw-app-file.la: $(libgw_app_file_la_OBJECTS) $(libgw_app_file_la_DEPENDENCIES)
	$(LINK) -rpath $(pkglibdir) $(libgw_app_file_la_LDFLAGS) $(libgw_app_file_la_OBJECTS) $(libgw_app_file_la_LIBADD) $(LIBS)

install-gwmodDATA: $(gwmod_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gwmoddir)
	@list='$(gwmod_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gwmoddir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gwmoddir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(gwmoddir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(gwmoddir)/$$p; \
	  fi; fi; \
	done

uninstall-gwmodDATA:
	@$(NORMAL_UNINSTALL)
	list='$(gwmod_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(gwmoddir)/$$p; \
	done

install-gncincludeHEADERS: $(gncinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gncincludedir)
	@list='$(gncinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(gncincludedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(gncincludedir)/$$p; \
	done

uninstall-gncincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(gncinclude_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(gncincludedir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" != "." || dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/app-file

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
gnc-file.lo gnc-file.o : gnc-file.c ../../config.h \
	../../src/engine/Backend.h ../../src/app-utils/global-options.h \
	../../src/app-utils/option-util.h \
	../../src/engine/gnc-commodity.h ../../src/engine/gnc-engine.h \
	../../src/engine/kvp_frame.h ../../src/engine/gnc-numeric.h \
	../../src/engine/guid.h ../../src/engine/date.h \
	../../src/engine/GNCId.h ../../src/app-utils/gnc-ui-common.h \
	../../src/app-utils/gnc-component-manager.h \
	../../src/engine/gnc-event.h ../../src/engine/gnc-engine-util.h \
	gnc-file-dialog.h gnc-file-history.h gnc-file-p.h gnc-file.h \
	../../src/gnome-utils/gnc-gui-query.h \
	../../src/engine/gnc-session.h ../../src/gnc-ui.h \
	../../src/engine/Account.h ../../src/engine/gnc-book.h \
	../../src/engine/gnc-pricedb.h \
	../../src/app-utils/gnc-ui-util.h ../../src/engine/Group.h \
	../../src/engine/messages.h ../../src/engine/gnc-book-p.h \
	../../src/engine/GNCIdP.h
gncmod-app-file.lo gncmod-app-file.o : gncmod-app-file.c gnc-file-p.h \
	gnc-file.h gnc-file-history.h \
	../../src/app-utils/gnc-ui-common.h ../../config.h \
	gnc-file-dialog.h ../../src/gnome-utils/gnc-mdi-utils.h \
	../../src/gnc-module/gnc-module.h \
	../../src/gnc-module/gnc-module-api.h
gw-app-file.lo gw-app-file.o : gw-app-file.c gw-app-file.h \
	../../src/engine/guid.h ../../config.h ../../src/engine/Query.h \
	../../src/engine/date.h ../../src/engine/gnc-engine.h \
	../../src/engine/GNCId.h ../../src/engine/kvp_frame.h \
	../../src/engine/gnc-numeric.h ../../src/engine/QueryNew.h \
	../../src/engine/QueryCore.h ../../src/engine/QueryObject.h \
	../../src/engine/Backend.h ../../src/engine/Group.h \
	../../src/engine/Account.h ../../src/engine/gnc-book.h \
	../../src/engine/gnc-pricedb.h ../../src/engine/gnc-commodity.h \
	../../src/engine/gnc-session.h \
	../../src/engine/gnc-session-scm.h \
	../../src/engine/gnc-engine-util.h ../../src/engine/gnc-event.h \
	../../src/engine/gnc-lot.h ../../src/engine/engine-helpers.h \
	../../src/engine/Transaction.h gnc-file.h gnc-file-history.h \
	../../src/app-utils/gnc-ui-common.h gnc-file-dialog.h

info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am: install-pkglibLTLIBRARIES
install-exec: install-exec-recursive

install-data-am: install-gwmodDATA install-gncincludeHEADERS
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am: uninstall-pkglibLTLIBRARIES uninstall-gwmodDATA \
		uninstall-gncincludeHEADERS
uninstall: uninstall-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(pkglibdir) $(DESTDIR)$(gwmoddir) \
		$(DESTDIR)$(gncincludedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-pkglibLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-pkglibLTLIBRARIES clean-compile clean-libtool \
		clean-tags clean-generic mostlyclean-am

clean: clean-recursive

distclean-am:  distclean-pkglibLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-pkglibLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-pkglibLTLIBRARIES distclean-pkglibLTLIBRARIES \
clean-pkglibLTLIBRARIES maintainer-clean-pkglibLTLIBRARIES \
uninstall-pkglibLTLIBRARIES install-pkglibLTLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool uninstall-gwmodDATA \
install-gwmodDATA uninstall-gncincludeHEADERS install-gncincludeHEADERS \
install-data-recursive uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs-am \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


.scm-links: 
	rm -f gnucash g-wrapped
	ln -sf . gnucash 
	ln -sf . g-wrapped 
@GNUCASH_SEPARATE_BUILDDIR_TRUE@	for X in ${SCM_FILE_LINKS} ; do \
@GNUCASH_SEPARATE_BUILDDIR_TRUE@	  ln -sf ${srcdir}/$$X . ; \
@GNUCASH_SEPARATE_BUILDDIR_TRUE@	done
	touch .scm-links

gw-app-file.scm gw-app-file.c gw-app-file.h: \
  .scm-links gw-app-file-spec.scm ${top_builddir}/config.status
	FLAVOR=gnome guile -c \
	 "(set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
	  (set! %load-path (cons \"${PWD}\" %load-path)) \
	  (set! %load-path (cons \"${top_builddir}/src/engine\" %load-path)) \
	  (primitive-load \"./gw-app-file-spec.scm\") \
	  (gw:generate-wrapset \"gw-app-file\")"

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
